Bug 245088 - Laptop fails to recover from hibernate or suspend
Laptop fails to recover from hibernate or suspend
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Dave Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-20 20:04 EDT by chris desjardins
Modified: 2015-01-04 17:29 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.6.22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 09:23:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chris desjardins 2007-06-20 20:04:29 EDT
Description of problem:
I am running kde 3.5.6 with kernel-2.6.21-1.3194.fc7 and kpowersave 0.7-2.  
When I run 'Suspend to Disk' or 'Suspend to RAM' both hibernating and 
suspending initiate.  However, when I try to resume from 'Suspend to Disk', 
the kernel boots and brings me to a blank screen with a blinking cursor.  It 
fails to resume and requires me to hold down the power button to restart.  
When I try to resume from 'Suspend to Disk', my lights on my laptop flicker 
and my laptop appears to freeze and requires a hard shutdown to restart.  I 
expect both 'Suspend to RAM' and 'Suspend to Disk' to bring me to a kde prompt 
requiring my password.  This is always reproducible.  
My laptop is a lenovo 3000 n100.
Comment 1 chris desjardins 2007-07-18 10:54:03 EDT
Using the following developmental kernel ... Fedora (2.6.23-0.15.rc0.git1.fc8) 
from http://people.redhat.com/~davej/ allows my laptop to properly 
suspend/hibernate.  However, this is not a viable option for everyday use as 
several modules fail (as expected) rendering my system worse off then with the 
stock F7 kernel.  
Comment 2 Christopher Brown 2007-09-17 07:39:07 EDT
Hello Chris,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel as you have indicated this
may be resolved.

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 3 chris desjardins 2007-09-17 09:23:08 EDT
This bug has been fixed in kernel 2.6.22 currently in F7.  

Note You need to log in before you can comment on or make changes to this bug.